Get audience report for a date

To avoid unnecessary requests, you can first get the dates with available data from the Get available audience report dates endpoint.

Available platforms for this endpoint are Instagram, YouTube, and TikTok. Note that the depth for these platform reports depends on the platform. Instagram is the only platform that returns data for both likes & followers.

Find out some definitions of terms found in these reports in the Get audience report - latest endpoint.

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Note: Audience reports are updated monthly.

Request

GET /api/v2/artist/{uuid}/audience/{platform}/report/{date}

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string A social platform code Required
date string A report date (YYYY-MM-DD) Required

Response

Code Description Resource
200 OK

An Artist audience report response

Audience Report
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

A social platform code

A report date (YYYY-MM-DD)

Try it out